﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web.Mvc;
namespace SyncfusionMvcApplication1.Controllers
{
    public partial class ChartController : Controller
    {
        //
        // GET: /Chart/
         public ActionResult ChartFeatures()
        {
            List<ChartData> data = new List<ChartData>();
            Random yValue = new Random();
            for (int i = 0; i < 10; i++) {
                data.Add(new ChartData(i, yValue.Next(10, 15), yValue.Next(15, 20), yValue.Next(20, 25)));
            }
            ViewBag.DataSource = data;
            string[] color = new string[] { "#4286f4", "#f4b642", "#f441a9" };
            ViewBag.seriesColors = color;
            return View();
        }
        public class ChartData {
            public ChartData(double x, double y1, double y2, double y3) {
                this.X = x;
                this.Y1 = y1;
                this.Y2 = y2;
                this.Y3 = y3;
              
            }
            public double X { get; set; }
            public double Y1 { get; set; }
            public double Y2 { get; set; }
            public double Y3 { get; set; }
           
        }

    }
   
}
